# BACKGROUND
background {
    monitor = eDP-1
    path = /home/denode/Pictures/wallpaper/japan03.jpg 
    blur_passes = 0.5
    contrast = 1
    brightness = 0.5
    vibrancy = 0.2
    vibrancy_darkness = 0.2
}

# GENERAL
general {
    no_fade_in = false
    no_fade_out = false
    hide_cursor = true
    grace = 2
    disable_loading_bar = true
    ignore_empty_input = true
}

# INPUT FIELD
input-field {
    monitor = eDP-1
    size = 300, 50
    outline_thickness = 2
    inner_color = rgba(0,0,0,0.1)
    dots_color = rgba(0, 0, 0, 0.85)
    dots_size = 0.2 
    dots_spacing = 0.35 
    dots_center = true 
    input-fg-color = rgba(88,129,87,0.1)
    dots_color = rgba(255,255,255,0.85)
    outer_color = rgba(255,255,255,0.85)
    font_color = rgba(255,255,255, 0.85)
    fade_on_empty = true
    rounding = -1
    check_color = rgb(86,65,48)
    placeholder_text = <i><span foreground="##FFFFFF">input password...</span></i>
    hide_input = false
    fail_color = rgb(255,255,255)
    fail_text = bist du blöd? ($ATTEMPTS)
    position = 0, -468
    halign = center
    valign = center
}
# Profie-Photo
image {
    monitor =
    path = /home/denode/Pictures/flink02.png
    border_color = 0xffdddddd
    border_size = 0
    size = 100
    rounding = -1
    rotate = 0
    reload_time = -1
    reload_cmd = 
    position = 0, -320
    halign = center
    valign = center
}
# USER
label {
    monitor =
    text = $USER
    color = rgba(255,255,255,0.85)
    font_size = 23
    font_family = SF Pro Text 
    position = 0, -405
    halign = center
    valign = center
}
# DATE
label {
  monitor =
  text = cmd[update:1000] echo "$(LC_TIME=en_US.UTF-8 date +"%A, %B %d")"
  color = rgba(0,0,0,1)
  font_size = 22
  font_family = SF Pro Text Bold 
  position = 0, 405
  halign = center 
  valign = center
}

# TIME
label {
  monitor = 
  text = cmd[update:1000] echo "$(date +"%-H:%M:%S")"
  color = rgba(0,0,0, 1)
  font_size = 95
  font_family = SF Pro Text Bold
  position = 0, 310
  halign = center
  valign = center
}


# CURRENT SONG
label {
    monitor =
    text = cmd[update:1000] echo "$(~/.config/waybar/scripts/song.sh)" 
    color = $foreground
    color = rgba(255,255,255,0.65)
    font_size = 18
    font_family = SF Pro Text
    position = 0, 50
    halign = center
    valign = bottom
}
label {
  monitor = eDP-1
  text = cmd[update:30] bash -c 'ac_online=$(cat /sys/class/power_supply/AC/online); bat0=$(cat /sys/class/power_supply/BAT0/capacity); bat1=$(cat /sys/class/power_supply/BAT1/capacity); avg=$(( (bat0 + bat1) / 2 )); if [ "$ac_online" = "1" ]; then echo "   $avg %"; else echo "$avg %"; fi'
  color = rgba(0,0,0,0.65)
  font_family = SF Pro Text Bold
  font_size = 18
  position = -10, 1030
  halign = right
  valign = bottom
}   
